> ## Documentation Index
> Fetch the complete documentation index at: https://integration.delogue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Partially updates a sub-supplier.

> Accepts an RFC 6902 JSON Patch document. Scalar fields support 'replace' only. Contacts support 'replace', 'add', and 'remove'. Use 'active' or 'archived' for the /state path.



## OpenAPI

````yaml /openapi/external.enriched.json patch /api/sub-suppliers/{id}
openapi: 3.1.1
info:
  title: Delogue External API - (Production)
  description: Integration endpoints for Delogue API
  version: 1.0.0
servers:
  - url: >-
      http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/
security: []
tags:
  - name: SubSuppliers
  - name: StyleSupplierFacilities
  - name: StyleSkus
  - name: Styles
  - name: SampleRequests
  - name: StyleRelations
  - name: Style Prices
  - name: StyleItems
  - name: StyleFiles
  - name: StyleCustomFields
  - name: StyleContacts
  - name: StyleCategories
  - name: StyleCareInstructions
  - name: SizeRanges
  - name: Seasons
  - name: SampleTypes
  - name: Organizations
  - name: MeasurementCharts
  - name: Items
  - name: ItemCategories
  - name: Groups
  - name: Facilities
  - name: ComplianceCustomFields
  - name: ComplianceCategories
  - name: Color Groups
  - name: Colors
  - name: CareInstructions
  - name: CareInstructionMaterials
  - name: CareInstructionLayers
  - name: CareInstructionIcons
  - name: Brands
  - name: Barcodes
paths:
  /api/sub-suppliers/{id}:
    patch:
      tags:
        - SubSuppliers
      summary: Partially updates a sub-supplier.
      description: >-
        Accepts an RFC 6902 JSON Patch document. Scalar fields support 'replace'
        only. Contacts support 'replace', 'add', and 'remove'. Use 'active' or
        'archived' for the /state path.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/JsonPatchDocument'
        required: true
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiResponseOfSubSupplierDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfSubSupplierDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfSubSupplierDto'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '409':
          description: Conflict
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '422':
          description: Unprocessable Entity
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
      security:
        - {}
components:
  schemas:
    JsonPatchDocument:
      type: array
      items:
        type: object
        oneOf:
          - required:
              - op
              - path
              - value
            type: object
            properties:
              op:
                enum:
                  - add
                  - replace
                  - test
                type: string
              path:
                type: string
              value: {}
            additionalProperties: false
          - required:
              - op
              - path
              - from
            type: object
            properties:
              op:
                enum:
                  - move
                  - copy
                type: string
              path:
                type: string
              from:
                type: string
            additionalProperties: false
          - required:
              - op
              - path
            type: object
            properties:
              op:
                enum:
                  - remove
                type: string
              path:
                type: string
            additionalProperties: false
    ApiResponseOfSubSupplierDto:
      required:
        - status
        - code
        - data
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        data:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SubSupplierDto'
      additionalProperties: false
    ApiErrorResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/ErrorWrapper'
      additionalProperties: false
    ApiResponseStatus: {}
    SubSupplierDto:
      type: object
      properties:
        id:
          type: string
        organizationId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type: string
        customId:
          type:
            - 'null'
            - string
        relationType:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SubSupplierRelationType'
        relationTypeName:
          type:
            - 'null'
            - string
        address:
          type:
            - 'null'
            - string
        zipCode:
          type:
            - 'null'
            - string
        city:
          type:
            - 'null'
            - string
        stateOrRegion:
          type:
            - 'null'
            - string
        countryCode:
          type:
            - 'null'
            - string
        countryName:
          type:
            - 'null'
            - string
        latitude:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        longitude:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        webSite:
          type:
            - 'null'
            - string
        vatNumber:
          type:
            - 'null'
            - string
        mid:
          type:
            - 'null'
            - string
        avatarColor:
          type:
            - 'null'
            - string
        processingTypes:
          type:
            - 'null'
            - string
        facilityCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        state:
          $ref: '#/components/schemas/SubSupplierState'
        createdAt:
          type: string
          format: date-time
        contacts:
          type: array
          items:
            $ref: '#/components/schemas/SubSupplierContactDto'
      additionalProperties: false
    ErrorWrapper:
      type: object
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    SubSupplierRelationType: {}
    SubSupplierState: {}
    SubSupplierContactDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        firstName:
          type:
            - 'null'
            - string
        lastName:
          type:
            - 'null'
            - string
        email:
          type:
            - 'null'
            - string
        phone:
          type:
            - 'null'
            - string
        role:
          type:
            - 'null'
            - string
        faxNumber:
          type:
            - 'null'
            - string
        properties:
          type: array
          items:
            type: string
        countryCode:
          type:
            - 'null'
            - string
        countryName:
          type:
            - 'null'
            - string
      additionalProperties: false
    ErrorDetailDto:
      required:
        - type
        - field
        - value
      type: object
      properties:
        type:
          type: string
        field:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
      additionalProperties: false

````